IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/20
Addresses2^108
/64 networks2^44
- Network
fc0e:3000::/20- First address
fc0e:3000::- Last address
fc0e:3fff:ffff:ffff:ffff:ffff:ffff:ffff- Addresses
- 324,518,553,658,426,726,783,156,020,576,256 (2^108)
- /64 networks (LANs)
- 17,592,186,044,416 (2^44)
- Full form
fc0e:3000:0000:0000:0000:0000:0000:0000- Type
- Unique local (ULA) fc00::/7
Private IPv6, like RFC 1918; usually fd00::/8 - Reverse DNS zone
3.e.0.c.f.ip6.arpa
Split into smaller subnets
fc0e:3000::/20 makes 4,096 subnets of /32; the first 256 are listed.
| # | Subnet | Last address |
|---|---|---|
| 1 | fc0e:3000::/32 | fc0e:3000:ffff:ffff:ffff:ffff:ffff:ffff |
| 2 | fc0e:3001::/32 | fc0e:3001:ffff:ffff:ffff:ffff:ffff:ffff |
| 3 | fc0e:3002::/32 | fc0e:3002:ffff:ffff:ffff:ffff:ffff:ffff |
| 4 | fc0e:3003::/32 | fc0e:3003:ffff:ffff:ffff:ffff:ffff:ffff |
| 5 | fc0e:3004::/32 | fc0e:3004:ffff:ffff:ffff:ffff:ffff:ffff |
| 6 | fc0e:3005::/32 | fc0e:3005:ffff:ffff:ffff:ffff:ffff:ffff |
| 7 | fc0e:3006::/32 | fc0e:3006:ffff:ffff:ffff:ffff:ffff:ffff |
| 8 | fc0e:3007::/32 | fc0e:3007:ffff:ffff:ffff:ffff:ffff:ffff |
| 9 | fc0e:3008::/32 | fc0e:3008:ffff:ffff:ffff:ffff:ffff:ffff |
| 10 | fc0e:3009::/32 | fc0e:3009:ffff:ffff:ffff:ffff:ffff:ffff |
| 11 | fc0e:300a::/32 | fc0e:300a:ffff:ffff:ffff:ffff:ffff:ffff |
| 12 | fc0e:300b::/32 | fc0e:300b:ffff:ffff:ffff:ffff:ffff:ffff |
| 13 | fc0e:300c::/32 | fc0e:300c:ffff:ffff:ffff:ffff:ffff:ffff |
| 14 | fc0e:300d::/32 | fc0e:300d:ffff:ffff:ffff:ffff:ffff:ffff |
| 15 | fc0e:300e::/32 | fc0e:300e:ffff:ffff:ffff:ffff:ffff:ffff |
| 16 | fc0e:300f::/32 | fc0e:300f:ffff:ffff:ffff:ffff:ffff:ffff |
| 17 | fc0e:3010::/32 | fc0e:3010:ffff:ffff:ffff:ffff:ffff:ffff |
| 18 | fc0e:3011::/32 | fc0e:3011:ffff:ffff:ffff:ffff:ffff:ffff |
| 19 | fc0e:3012::/32 | fc0e:3012:ffff:ffff:ffff:ffff:ffff:ffff |
| 20 | fc0e:3013::/32 | fc0e:3013:ffff:ffff:ffff:ffff:ffff:ffff |
| 21 | fc0e:3014::/32 | fc0e:3014:ffff:ffff:ffff:ffff:ffff:ffff |
| 22 | fc0e:3015::/32 | fc0e:3015:ffff:ffff:ffff:ffff:ffff:ffff |
| 23 | fc0e:3016::/32 | fc0e:3016:ffff:ffff:ffff:ffff:ffff:ffff |
| 24 | fc0e:3017::/32 | fc0e:3017:ffff:ffff:ffff:ffff:ffff:ffff |
| 25 | fc0e:3018::/32 | fc0e:3018:ffff:ffff:ffff:ffff:ffff:ffff |
| 26 | fc0e:3019::/32 | fc0e:3019:ffff:ffff:ffff:ffff:ffff:ffff |
| 27 | fc0e:301a::/32 | fc0e:301a:ffff:ffff:ffff:ffff:ffff:ffff |
| 28 | fc0e:301b::/32 | fc0e:301b:ffff:ffff:ffff:ffff:ffff:ffff |
| 29 | fc0e:301c::/32 | fc0e:301c:ffff:ffff:ffff:ffff:ffff:ffff |
| 30 | fc0e:301d::/32 | fc0e:301d:ffff:ffff:ffff:ffff:ffff:ffff |
| 31 | fc0e:301e::/32 | fc0e:301e:ffff:ffff:ffff:ffff:ffff:ffff |
| 32 | fc0e:301f::/32 | fc0e:301f:ffff:ffff:ffff:ffff:ffff:ffff |
| 33 | fc0e:3020::/32 | fc0e:3020:ffff:ffff:ffff:ffff:ffff:ffff |
| 34 | fc0e:3021::/32 | fc0e:3021:ffff:ffff:ffff:ffff:ffff:ffff |
| 35 | fc0e:3022::/32 | fc0e:3022:ffff:ffff:ffff:ffff:ffff:ffff |
| 36 | fc0e:3023::/32 | fc0e:3023:ffff:ffff:ffff:ffff:ffff:ffff |
| 37 | fc0e:3024::/32 | fc0e:3024:ffff:ffff:ffff:ffff:ffff:ffff |
| 38 | fc0e:3025::/32 | fc0e:3025:ffff:ffff:ffff:ffff:ffff:ffff |
| 39 | fc0e:3026::/32 | fc0e:3026:ffff:ffff:ffff:ffff:ffff:ffff |
| 40 | fc0e:3027::/32 | fc0e:3027:ffff:ffff:ffff:ffff:ffff:ffff |
| 41 | fc0e:3028::/32 | fc0e:3028:ffff:ffff:ffff:ffff:ffff:ffff |
| 42 | fc0e:3029::/32 | fc0e:3029:ffff:ffff:ffff:ffff:ffff:ffff |
| 43 | fc0e:302a::/32 | fc0e:302a:ffff:ffff:ffff:ffff:ffff:ffff |
| 44 | fc0e:302b::/32 | fc0e:302b:ffff:ffff:ffff:ffff:ffff:ffff |
| 45 | fc0e:302c::/32 | fc0e:302c:ffff:ffff:ffff:ffff:ffff:ffff |
| 46 | fc0e:302d::/32 | fc0e:302d:ffff:ffff:ffff:ffff:ffff:ffff |
| 47 | fc0e:302e::/32 | fc0e:302e:ffff:ffff:ffff:ffff:ffff:ffff |
| 48 | fc0e:302f::/32 | fc0e:302f:ffff:ffff:ffff:ffff:ffff:ffff |
| 49 | fc0e:3030::/32 | fc0e:3030:ffff:ffff:ffff:ffff:ffff:ffff |
| 50 | fc0e:3031::/32 | fc0e:3031:ffff:ffff:ffff:ffff:ffff:ffff |
| 51 | fc0e:3032::/32 | fc0e:3032:ffff:ffff:ffff:ffff:ffff:ffff |
| 52 | fc0e:3033::/32 | fc0e:3033:ffff:ffff:ffff:ffff:ffff:ffff |
| 53 | fc0e:3034::/32 | fc0e:3034:ffff:ffff:ffff:ffff:ffff:ffff |
| 54 | fc0e:3035::/32 | fc0e:3035:ffff:ffff:ffff:ffff:ffff:ffff |
| 55 | fc0e:3036::/32 | fc0e:3036:ffff:ffff:ffff:ffff:ffff:ffff |
| 56 | fc0e:3037::/32 | fc0e:3037:ffff:ffff:ffff:ffff:ffff:ffff |
| 57 | fc0e:3038::/32 | fc0e:3038:ffff:ffff:ffff:ffff:ffff:ffff |
| 58 | fc0e:3039::/32 | fc0e:3039:ffff:ffff:ffff:ffff:ffff:ffff |
| 59 | fc0e:303a::/32 | fc0e:303a:ffff:ffff:ffff:ffff:ffff:ffff |
| 60 | fc0e:303b::/32 | fc0e:303b:ffff:ffff:ffff:ffff:ffff:ffff |
| 61 | fc0e:303c::/32 | fc0e:303c:ffff:ffff:ffff:ffff:ffff:ffff |
| 62 | fc0e:303d::/32 | fc0e:303d:ffff:ffff:ffff:ffff:ffff:ffff |
| 63 | fc0e:303e::/32 | fc0e:303e:ffff:ffff:ffff:ffff:ffff:ffff |
| 64 | fc0e:303f::/32 | fc0e:303f:ffff:ffff:ffff:ffff:ffff:ffff |
| 65 | fc0e:3040::/32 | fc0e:3040:ffff:ffff:ffff:ffff:ffff:ffff |
| 66 | fc0e:3041::/32 | fc0e:3041:ffff:ffff:ffff:ffff:ffff:ffff |
| 67 | fc0e:3042::/32 | fc0e:3042:ffff:ffff:ffff:ffff:ffff:ffff |
| 68 | fc0e:3043::/32 | fc0e:3043:ffff:ffff:ffff:ffff:ffff:ffff |
| 69 | fc0e:3044::/32 | fc0e:3044:ffff:ffff:ffff:ffff:ffff:ffff |
| 70 | fc0e:3045::/32 | fc0e:3045:ffff:ffff:ffff:ffff:ffff:ffff |
| 71 | fc0e:3046::/32 | fc0e:3046:ffff:ffff:ffff:ffff:ffff:ffff |
| 72 | fc0e:3047::/32 | fc0e:3047:ffff:ffff:ffff:ffff:ffff:ffff |
| 73 | fc0e:3048::/32 | fc0e:3048:ffff:ffff:ffff:ffff:ffff:ffff |
| 74 | fc0e:3049::/32 | fc0e:3049:ffff:ffff:ffff:ffff:ffff:ffff |
| 75 | fc0e:304a::/32 | fc0e:304a:ffff:ffff:ffff:ffff:ffff:ffff |
| 76 | fc0e:304b::/32 | fc0e:304b:ffff:ffff:ffff:ffff:ffff:ffff |
| 77 | fc0e:304c::/32 | fc0e:304c:ffff:ffff:ffff:ffff:ffff:ffff |
| 78 | fc0e:304d::/32 | fc0e:304d:ffff:ffff:ffff:ffff:ffff:ffff |
| 79 | fc0e:304e::/32 | fc0e:304e:ffff:ffff:ffff:ffff:ffff:ffff |
| 80 | fc0e:304f::/32 | fc0e:304f:ffff:ffff:ffff:ffff:ffff:ffff |
| 81 | fc0e:3050::/32 | fc0e:3050:ffff:ffff:ffff:ffff:ffff:ffff |
| 82 | fc0e:3051::/32 | fc0e:3051:ffff:ffff:ffff:ffff:ffff:ffff |
| 83 | fc0e:3052::/32 | fc0e:3052:ffff:ffff:ffff:ffff:ffff:ffff |
| 84 | fc0e:3053::/32 | fc0e:3053:ffff:ffff:ffff:ffff:ffff:ffff |
| 85 | fc0e:3054::/32 | fc0e:3054:ffff:ffff:ffff:ffff:ffff:ffff |
| 86 | fc0e:3055::/32 | fc0e:3055:ffff:ffff:ffff:ffff:ffff:ffff |
| 87 | fc0e:3056::/32 | fc0e:3056:ffff:ffff:ffff:ffff:ffff:ffff |
| 88 | fc0e:3057::/32 | fc0e:3057:ffff:ffff:ffff:ffff:ffff:ffff |
| 89 | fc0e:3058::/32 | fc0e:3058:ffff:ffff:ffff:ffff:ffff:ffff |
| 90 | fc0e:3059::/32 | fc0e:3059:ffff:ffff:ffff:ffff:ffff:ffff |
| 91 | fc0e:305a::/32 | fc0e:305a:ffff:ffff:ffff:ffff:ffff:ffff |
| 92 | fc0e:305b::/32 | fc0e:305b:ffff:ffff:ffff:ffff:ffff:ffff |
| 93 | fc0e:305c::/32 | fc0e:305c:ffff:ffff:ffff:ffff:ffff:ffff |
| 94 | fc0e:305d::/32 | fc0e:305d:ffff:ffff:ffff:ffff:ffff:ffff |
| 95 | fc0e:305e::/32 | fc0e:305e:ffff:ffff:ffff:ffff:ffff:ffff |
| 96 | fc0e:305f::/32 | fc0e:305f:ffff:ffff:ffff:ffff:ffff:ffff |
| 97 | fc0e:3060::/32 | fc0e:3060:ffff:ffff:ffff:ffff:ffff:ffff |
| 98 | fc0e:3061::/32 | fc0e:3061:ffff:ffff:ffff:ffff:ffff:ffff |
| 99 | fc0e:3062::/32 | fc0e:3062:ffff:ffff:ffff:ffff:ffff:ffff |
| 100 | fc0e:3063::/32 | fc0e:3063:ffff:ffff:ffff:ffff:ffff:ffff |
| 101 | fc0e:3064::/32 | fc0e:3064:ffff:ffff:ffff:ffff:ffff:ffff |
| 102 | fc0e:3065::/32 | fc0e:3065:ffff:ffff:ffff:ffff:ffff:ffff |
| 103 | fc0e:3066::/32 | fc0e:3066:ffff:ffff:ffff:ffff:ffff:ffff |
| 104 | fc0e:3067::/32 | fc0e:3067:ffff:ffff:ffff:ffff:ffff:ffff |
| 105 | fc0e:3068::/32 | fc0e:3068:ffff:ffff:ffff:ffff:ffff:ffff |
| 106 | fc0e:3069::/32 | fc0e:3069:ffff:ffff:ffff:ffff:ffff:ffff |
| 107 | fc0e:306a::/32 | fc0e:306a:ffff:ffff:ffff:ffff:ffff:ffff |
| 108 | fc0e:306b::/32 | fc0e:306b:ffff:ffff:ffff:ffff:ffff:ffff |
| 109 | fc0e:306c::/32 | fc0e:306c:ffff:ffff:ffff:ffff:ffff:ffff |
| 110 | fc0e:306d::/32 | fc0e:306d:ffff:ffff:ffff:ffff:ffff:ffff |
| 111 | fc0e:306e::/32 | fc0e:306e:ffff:ffff:ffff:ffff:ffff:ffff |
| 112 | fc0e:306f::/32 | fc0e:306f:ffff:ffff:ffff:ffff:ffff:ffff |
| 113 | fc0e:3070::/32 | fc0e:3070:ffff:ffff:ffff:ffff:ffff:ffff |
| 114 | fc0e:3071::/32 | fc0e:3071:ffff:ffff:ffff:ffff:ffff:ffff |
| 115 | fc0e:3072::/32 | fc0e:3072:ffff:ffff:ffff:ffff:ffff:ffff |
| 116 | fc0e:3073::/32 | fc0e:3073:ffff:ffff:ffff:ffff:ffff:ffff |
| 117 | fc0e:3074::/32 | fc0e:3074:ffff:ffff:ffff:ffff:ffff:ffff |
| 118 | fc0e:3075::/32 | fc0e:3075:ffff:ffff:ffff:ffff:ffff:ffff |
| 119 | fc0e:3076::/32 | fc0e:3076:ffff:ffff:ffff:ffff:ffff:ffff |
| 120 | fc0e:3077::/32 | fc0e:3077:ffff:ffff:ffff:ffff:ffff:ffff |
| 121 | fc0e:3078::/32 | fc0e:3078:ffff:ffff:ffff:ffff:ffff:ffff |
| 122 | fc0e:3079::/32 | fc0e:3079:ffff:ffff:ffff:ffff:ffff:ffff |
| 123 | fc0e:307a::/32 | fc0e:307a:ffff:ffff:ffff:ffff:ffff:ffff |
| 124 | fc0e:307b::/32 | fc0e:307b:ffff:ffff:ffff:ffff:ffff:ffff |
| 125 | fc0e:307c::/32 | fc0e:307c:ffff:ffff:ffff:ffff:ffff:ffff |
| 126 | fc0e:307d::/32 | fc0e:307d:ffff:ffff:ffff:ffff:ffff:ffff |
| 127 | fc0e:307e::/32 | fc0e:307e:ffff:ffff:ffff:ffff:ffff:ffff |
| 128 | fc0e:307f::/32 | fc0e:307f:ffff:ffff:ffff:ffff:ffff:ffff |
| 129 | fc0e:3080::/32 | fc0e:3080:ffff:ffff:ffff:ffff:ffff:ffff |
| 130 | fc0e:3081::/32 | fc0e:3081:ffff:ffff:ffff:ffff:ffff:ffff |
| 131 | fc0e:3082::/32 | fc0e:3082:ffff:ffff:ffff:ffff:ffff:ffff |
| 132 | fc0e:3083::/32 | fc0e:3083:ffff:ffff:ffff:ffff:ffff:ffff |
| 133 | fc0e:3084::/32 | fc0e:3084:ffff:ffff:ffff:ffff:ffff:ffff |
| 134 | fc0e:3085::/32 | fc0e:3085:ffff:ffff:ffff:ffff:ffff:ffff |
| 135 | fc0e:3086::/32 | fc0e:3086:ffff:ffff:ffff:ffff:ffff:ffff |
| 136 | fc0e:3087::/32 | fc0e:3087:ffff:ffff:ffff:ffff:ffff:ffff |
| 137 | fc0e:3088::/32 | fc0e:3088:ffff:ffff:ffff:ffff:ffff:ffff |
| 138 | fc0e:3089::/32 | fc0e:3089:ffff:ffff:ffff:ffff:ffff:ffff |
| 139 | fc0e:308a::/32 | fc0e:308a:ffff:ffff:ffff:ffff:ffff:ffff |
| 140 | fc0e:308b::/32 | fc0e:308b:ffff:ffff:ffff:ffff:ffff:ffff |
| 141 | fc0e:308c::/32 | fc0e:308c:ffff:ffff:ffff:ffff:ffff:ffff |
| 142 | fc0e:308d::/32 | fc0e:308d:ffff:ffff:ffff:ffff:ffff:ffff |
| 143 | fc0e:308e::/32 | fc0e:308e:ffff:ffff:ffff:ffff:ffff:ffff |
| 144 | fc0e:308f::/32 | fc0e:308f:ffff:ffff:ffff:ffff:ffff:ffff |
| 145 | fc0e:3090::/32 | fc0e:3090:ffff:ffff:ffff:ffff:ffff:ffff |
| 146 | fc0e:3091::/32 | fc0e:3091:ffff:ffff:ffff:ffff:ffff:ffff |
| 147 | fc0e:3092::/32 | fc0e:3092:ffff:ffff:ffff:ffff:ffff:ffff |
| 148 | fc0e:3093::/32 | fc0e:3093:ffff:ffff:ffff:ffff:ffff:ffff |
| 149 | fc0e:3094::/32 | fc0e:3094:ffff:ffff:ffff:ffff:ffff:ffff |
| 150 | fc0e:3095::/32 | fc0e:3095:ffff:ffff:ffff:ffff:ffff:ffff |
| 151 | fc0e:3096::/32 | fc0e:3096:ffff:ffff:ffff:ffff:ffff:ffff |
| 152 | fc0e:3097::/32 | fc0e:3097:ffff:ffff:ffff:ffff:ffff:ffff |
| 153 | fc0e:3098::/32 | fc0e:3098:ffff:ffff:ffff:ffff:ffff:ffff |
| 154 | fc0e:3099::/32 | fc0e:3099:ffff:ffff:ffff:ffff:ffff:ffff |
| 155 | fc0e:309a::/32 | fc0e:309a:ffff:ffff:ffff:ffff:ffff:ffff |
| 156 | fc0e:309b::/32 | fc0e:309b:ffff:ffff:ffff:ffff:ffff:ffff |
| 157 | fc0e:309c::/32 | fc0e:309c:ffff:ffff:ffff:ffff:ffff:ffff |
| 158 | fc0e:309d::/32 | fc0e:309d:ffff:ffff:ffff:ffff:ffff:ffff |
| 159 | fc0e:309e::/32 | fc0e:309e:ffff:ffff:ffff:ffff:ffff:ffff |
| 160 | fc0e:309f::/32 | fc0e:309f:ffff:ffff:ffff:ffff:ffff:ffff |
| 161 | fc0e:30a0::/32 | fc0e:30a0:ffff:ffff:ffff:ffff:ffff:ffff |
| 162 | fc0e:30a1::/32 | fc0e:30a1:ffff:ffff:ffff:ffff:ffff:ffff |
| 163 | fc0e:30a2::/32 | fc0e:30a2:ffff:ffff:ffff:ffff:ffff:ffff |
| 164 | fc0e:30a3::/32 | fc0e:30a3:ffff:ffff:ffff:ffff:ffff:ffff |
| 165 | fc0e:30a4::/32 | fc0e:30a4:ffff:ffff:ffff:ffff:ffff:ffff |
| 166 | fc0e:30a5::/32 | fc0e:30a5:ffff:ffff:ffff:ffff:ffff:ffff |
| 167 | fc0e:30a6::/32 | fc0e:30a6:ffff:ffff:ffff:ffff:ffff:ffff |
| 168 | fc0e:30a7::/32 | fc0e:30a7:ffff:ffff:ffff:ffff:ffff:ffff |
| 169 | fc0e:30a8::/32 | fc0e:30a8:ffff:ffff:ffff:ffff:ffff:ffff |
| 170 | fc0e:30a9::/32 | fc0e:30a9:ffff:ffff:ffff:ffff:ffff:ffff |
| 171 | fc0e:30aa::/32 | fc0e:30aa:ffff:ffff:ffff:ffff:ffff:ffff |
| 172 | fc0e:30ab::/32 | fc0e:30ab:ffff:ffff:ffff:ffff:ffff:ffff |
| 173 | fc0e:30ac::/32 | fc0e:30ac:ffff:ffff:ffff:ffff:ffff:ffff |
| 174 | fc0e:30ad::/32 | fc0e:30ad:ffff:ffff:ffff:ffff:ffff:ffff |
| 175 | fc0e:30ae::/32 | fc0e:30ae:ffff:ffff:ffff:ffff:ffff:ffff |
| 176 | fc0e:30af::/32 | fc0e:30af:ffff:ffff:ffff:ffff:ffff:ffff |
| 177 | fc0e:30b0::/32 | fc0e:30b0:ffff:ffff:ffff:ffff:ffff:ffff |
| 178 | fc0e:30b1::/32 | fc0e:30b1:ffff:ffff:ffff:ffff:ffff:ffff |
| 179 | fc0e:30b2::/32 | fc0e:30b2:ffff:ffff:ffff:ffff:ffff:ffff |
| 180 | fc0e:30b3::/32 | fc0e:30b3:ffff:ffff:ffff:ffff:ffff:ffff |
| 181 | fc0e:30b4::/32 | fc0e:30b4:ffff:ffff:ffff:ffff:ffff:ffff |
| 182 | fc0e:30b5::/32 | fc0e:30b5:ffff:ffff:ffff:ffff:ffff:ffff |
| 183 | fc0e:30b6::/32 | fc0e:30b6:ffff:ffff:ffff:ffff:ffff:ffff |
| 184 | fc0e:30b7::/32 | fc0e:30b7:ffff:ffff:ffff:ffff:ffff:ffff |
| 185 | fc0e:30b8::/32 | fc0e:30b8:ffff:ffff:ffff:ffff:ffff:ffff |
| 186 | fc0e:30b9::/32 | fc0e:30b9:ffff:ffff:ffff:ffff:ffff:ffff |
| 187 | fc0e:30ba::/32 | fc0e:30ba:ffff:ffff:ffff:ffff:ffff:ffff |
| 188 | fc0e:30bb::/32 | fc0e:30bb:ffff:ffff:ffff:ffff:ffff:ffff |
| 189 | fc0e:30bc::/32 | fc0e:30bc:ffff:ffff:ffff:ffff:ffff:ffff |
| 190 | fc0e:30bd::/32 | fc0e:30bd:ffff:ffff:ffff:ffff:ffff:ffff |
| 191 | fc0e:30be::/32 | fc0e:30be:ffff:ffff:ffff:ffff:ffff:ffff |
| 192 | fc0e:30bf::/32 | fc0e:30bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 193 | fc0e:30c0::/32 | fc0e:30c0:ffff:ffff:ffff:ffff:ffff:ffff |
| 194 | fc0e:30c1::/32 | fc0e:30c1:ffff:ffff:ffff:ffff:ffff:ffff |
| 195 | fc0e:30c2::/32 | fc0e:30c2:ffff:ffff:ffff:ffff:ffff:ffff |
| 196 | fc0e:30c3::/32 | fc0e:30c3:ffff:ffff:ffff:ffff:ffff:ffff |
| 197 | fc0e:30c4::/32 | fc0e:30c4:ffff:ffff:ffff:ffff:ffff:ffff |
| 198 | fc0e:30c5::/32 | fc0e:30c5:ffff:ffff:ffff:ffff:ffff:ffff |
| 199 | fc0e:30c6::/32 | fc0e:30c6:ffff:ffff:ffff:ffff:ffff:ffff |
| 200 | fc0e:30c7::/32 | fc0e:30c7:ffff:ffff:ffff:ffff:ffff:ffff |
| 201 | fc0e:30c8::/32 | fc0e:30c8:ffff:ffff:ffff:ffff:ffff:ffff |
| 202 | fc0e:30c9::/32 | fc0e:30c9:ffff:ffff:ffff:ffff:ffff:ffff |
| 203 | fc0e:30ca::/32 | fc0e:30ca:ffff:ffff:ffff:ffff:ffff:ffff |
| 204 | fc0e:30cb::/32 | fc0e:30cb:ffff:ffff:ffff:ffff:ffff:ffff |
| 205 | fc0e:30cc::/32 | fc0e:30cc:ffff:ffff:ffff:ffff:ffff:ffff |
| 206 | fc0e:30cd::/32 | fc0e:30cd:ffff:ffff:ffff:ffff:ffff:ffff |
| 207 | fc0e:30ce::/32 | fc0e:30ce:ffff:ffff:ffff:ffff:ffff:ffff |
| 208 | fc0e:30cf::/32 | fc0e:30cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 209 | fc0e:30d0::/32 | fc0e:30d0:ffff:ffff:ffff:ffff:ffff:ffff |
| 210 | fc0e:30d1::/32 | fc0e:30d1:ffff:ffff:ffff:ffff:ffff:ffff |
| 211 | fc0e:30d2::/32 | fc0e:30d2:ffff:ffff:ffff:ffff:ffff:ffff |
| 212 | fc0e:30d3::/32 | fc0e:30d3:ffff:ffff:ffff:ffff:ffff:ffff |
| 213 | fc0e:30d4::/32 | fc0e:30d4:ffff:ffff:ffff:ffff:ffff:ffff |
| 214 | fc0e:30d5::/32 | fc0e:30d5:ffff:ffff:ffff:ffff:ffff:ffff |
| 215 | fc0e:30d6::/32 | fc0e:30d6:ffff:ffff:ffff:ffff:ffff:ffff |
| 216 | fc0e:30d7::/32 | fc0e:30d7:ffff:ffff:ffff:ffff:ffff:ffff |
| 217 | fc0e:30d8::/32 | fc0e:30d8:ffff:ffff:ffff:ffff:ffff:ffff |
| 218 | fc0e:30d9::/32 | fc0e:30d9:ffff:ffff:ffff:ffff:ffff:ffff |
| 219 | fc0e:30da::/32 | fc0e:30da:ffff:ffff:ffff:ffff:ffff:ffff |
| 220 | fc0e:30db::/32 | fc0e:30db:ffff:ffff:ffff:ffff:ffff:ffff |
| 221 | fc0e:30dc::/32 | fc0e:30dc:ffff:ffff:ffff:ffff:ffff:ffff |
| 222 | fc0e:30dd::/32 | fc0e:30dd:ffff:ffff:ffff:ffff:ffff:ffff |
| 223 | fc0e:30de::/32 | fc0e:30de:ffff:ffff:ffff:ffff:ffff:ffff |
| 224 | fc0e:30df::/32 | fc0e:30df:ffff:ffff:ffff:ffff:ffff:ffff |
| 225 | fc0e:30e0::/32 | fc0e:30e0:ffff:ffff:ffff:ffff:ffff:ffff |
| 226 | fc0e:30e1::/32 | fc0e:30e1:ffff:ffff:ffff:ffff:ffff:ffff |
| 227 | fc0e:30e2::/32 | fc0e:30e2:ffff:ffff:ffff:ffff:ffff:ffff |
| 228 | fc0e:30e3::/32 | fc0e:30e3:ffff:ffff:ffff:ffff:ffff:ffff |
| 229 | fc0e:30e4::/32 | fc0e:30e4:ffff:ffff:ffff:ffff:ffff:ffff |
| 230 | fc0e:30e5::/32 | fc0e:30e5:ffff:ffff:ffff:ffff:ffff:ffff |
| 231 | fc0e:30e6::/32 | fc0e:30e6:ffff:ffff:ffff:ffff:ffff:ffff |
| 232 | fc0e:30e7::/32 | fc0e:30e7:ffff:ffff:ffff:ffff:ffff:ffff |
| 233 | fc0e:30e8::/32 | fc0e:30e8:ffff:ffff:ffff:ffff:ffff:ffff |
| 234 | fc0e:30e9::/32 | fc0e:30e9:ffff:ffff:ffff:ffff:ffff:ffff |
| 235 | fc0e:30ea::/32 | fc0e:30ea:ffff:ffff:ffff:ffff:ffff:ffff |
| 236 | fc0e:30eb::/32 | fc0e:30eb:ffff:ffff:ffff:ffff:ffff:ffff |
| 237 | fc0e:30ec::/32 | fc0e:30ec:ffff:ffff:ffff:ffff:ffff:ffff |
| 238 | fc0e:30ed::/32 | fc0e:30ed:ffff:ffff:ffff:ffff:ffff:ffff |
| 239 | fc0e:30ee::/32 | fc0e:30ee:ffff:ffff:ffff:ffff:ffff:ffff |
| 240 | fc0e:30ef::/32 | fc0e:30ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 241 | fc0e:30f0::/32 | fc0e:30f0:ffff:ffff:ffff:ffff:ffff:ffff |
| 242 | fc0e:30f1::/32 | fc0e:30f1:ffff:ffff:ffff:ffff:ffff:ffff |
| 243 | fc0e:30f2::/32 | fc0e:30f2:ffff:ffff:ffff:ffff:ffff:ffff |
| 244 | fc0e:30f3::/32 | fc0e:30f3:ffff:ffff:ffff:ffff:ffff:ffff |
| 245 | fc0e:30f4::/32 | fc0e:30f4:ffff:ffff:ffff:ffff:ffff:ffff |
| 246 | fc0e:30f5::/32 | fc0e:30f5:ffff:ffff:ffff:ffff:ffff:ffff |
| 247 | fc0e:30f6::/32 | fc0e:30f6:ffff:ffff:ffff:ffff:ffff:ffff |
| 248 | fc0e:30f7::/32 | fc0e:30f7:ffff:ffff:ffff:ffff:ffff:ffff |
| 249 | fc0e:30f8::/32 | fc0e:30f8:ffff:ffff:ffff:ffff:ffff:ffff |
| 250 | fc0e:30f9::/32 | fc0e:30f9:ffff:ffff:ffff:ffff:ffff:ffff |
| 251 | fc0e:30fa::/32 | fc0e:30fa:ffff:ffff:ffff:ffff:ffff:ffff |
| 252 | fc0e:30fb::/32 | fc0e:30fb:ffff:ffff:ffff:ffff:ffff:ffff |
| 253 | fc0e:30fc::/32 | fc0e:30fc:ffff:ffff:ffff:ffff:ffff:ffff |
| 254 | fc0e:30fd::/32 | fc0e:30fd:ffff:ffff:ffff:ffff:ffff:ffff |
| 255 | fc0e:30fe::/32 | fc0e:30fe:ffff:ffff:ffff:ffff:ffff:ffff |
| 256 | fc0e:30ff::/32 | fc0e:30ff:ffff:ffff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |